Last modified: 2012-03-26 23:34:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34140 - Set up gitweb redirects so that Gerrit will work as repo browser
Set up gitweb redirects so that Gerrit will work as repo browser
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: High enhancement (vote)
: ---
Assigned To: Ryan Lane
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-02-01 23:40 UTC by Rob Lanphier
Modified: 2012-03-26 23:34 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Rob Lanphier 2012-02-01 23:40:27 UTC
It's possible to browse the source trees managed on gerrit.wikimedia.org.  That is, if you know what you're doing.  And you're patient enough to find it.  And you have a good memory.  And if you're logged in (since you can't seem to browse projects otherwise.

Chad tells me that Ryan has ideas for fixing this up via redirect, so I'm capturing the request to set this up here and in RT:
http://rt.wikimedia.org/Ticket/Display.html?id=2370
Comment 1 Chad H. 2012-03-02 13:11:26 UTC
This was submitted in https://gerrit.wikimedia.org/r/#change,2611, but doesn't seem to be working properly.

Raising priority a bit, this really needs to be in place sooner rather than later.
Comment 2 Sumana Harihareswara 2012-03-15 00:17:27 UTC
Roan and Timo are working on a new Gerrit interface improvement as visible in http://gerrit.pmtpa.wmflabs:8080/ (it doesn't have a public IP, you need to proxy to it to get there, see https://labsconsole.wikimedia.org/wiki/Help:Access#Accessing_web_services_using_a_SOCKS_proxy ) and that may fix this issue.  Adding Roan to cc.
Comment 3 Krinkle 2012-03-15 02:40:44 UTC
(In reply to comment #2)
> Roan and Timo are working on a new Gerrit interface improvement as visible in
> http://gerrit.pmtpa.wmflabs:8080/ (it doesn't have a public IP yet
It does now: http://gerrit-dev.wmflabs.org/
Comment 4 Sumana Harihareswara 2012-03-19 21:27:36 UTC
This is still high priority, but is not a blocker for the Wednesday March 21st migration.  Roan and Timo are still working on their new JS tweaks and haven't added the gitweb links yet, Ryan and Roan need to look at configuring Gerrit to work around the +2 thing, "but the style is something we can apply independently".  They are planning to test it on a test Gerrit instance.
Comment 5 Chad H. 2012-03-22 13:54:20 UTC
The gitweb redirects are in place now. So you can use something like https://gerrit.wikimedia.org/gitweb/mediawiki/core.git.

Would still like a nice way to navigate the projects though.
Comment 6 Chad H. 2012-03-26 23:34:19 UTC
(In reply to comment #5)
> The gitweb redirects are in place now. So you can use something like
> https://gerrit.wikimedia.org/gitweb/mediawiki/core.git.
> 

This was the original intent of this bug, so I'm marking FIXED.

> Would still like a nice way to navigate the projects though.

And that is now bug 35510.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links